/ comp / gb.db / .tablefields / add
.TableFields.Add (gb.db)
Syntax

    SUB Add ( Name AS String, Type AS Integer [ , Length AS Integer, Default AS Variant ] )

Add a field into a table being created.

- Name is the name of the field.
- Type is its datatype.
- Length is the maximum length of the field. It is used only for String fields.
- Default is an optional default value. If not specified, the default value is NULL.

The possible field datatypes are:

- gb.Integer
- gb.Float
- gb.Boolean
- gb.String
- gb.Date